Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdePlaneFrustum Class Reference

`#include <deCamera.hpp>`

Inheritance diagram for IdePlaneFrustum:

[legend]
List of all members.

## Public Member Functions
virtual long | Release ()=0
virtual deBoolean | CreateFromPolygon (const deVec3d *PointArray, long NumPoints, const deVec3d &Position)=0
virtual deBoolean | CopyFromFrustum (const IdePlaneFrustum *Ref)=0
virtual deBoolean | Optimize ()=0
virtual deBoolean | IsOrtho () const=0
virtual void | SetOrtho (deBoolean Ortho)=0
virtual u32 | GetNumPlanes () const=0
virtual void | SetNumPlanes (u32 NumPlanes)=0
virtual void | AddPlane (const dePlane &plane)=0
virtual void | GetPlane (u32 index, dePlane &plane) const=0
virtual void | SetPlane (u32 index, const dePlane &plane)=0
virtual void | SetInVec (const deVec3d &InVec)=0
virtual void | SetPosVec (const deVec3d &PosVec)=0
virtual void | SetDists (const deDouble &Min, const deDouble &Max)=0
virtual deDouble | GetMinDist () const=0
virtual deDouble | GetMaxDist () const=0
virtual deBoolean | TestSphereInside (const deBoundSphere &Sphere, const deVec3d &WorldPos, deBoolean &AllInside) const=0
virtual deBoolean | TestAABBInside (const deAABB &BBox, const deVec3d &WorldPos, deBoolean &AllInside) const=0
## Protected Member Functions
virtual | ~IdePlaneFrustum ()

## Detailed Description

class for storing a view frustum with arbitrary planes forming a convex view volume. Related functions: IdeFrustum_CreatePlaneFrustum.

## Constructor & Destructor Documentation

virtual IdePlaneFrustum::~IdePlaneFrustum | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void IdePlaneFrustum::AddPlane | ( | const dePlane & | plane | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::CopyFromFrustum | ( | const IdePlaneFrustum * | Ref | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::CreateFromPolygon | ( | const deVec3d * | PointArray,
|  | long | NumPoints,
|  | const deVec3d & | Position
| ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deDouble IdePlaneFrustum::GetMaxDist | ( |  | ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deDouble IdePlaneFrustum::GetMinDist | ( |  | ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual u32 IdePlaneFrustum::GetNumPlanes | ( |  | ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::GetPlane | ( | u32 | index,
|  | dePlane & | plane
| ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::IsOrtho | ( |  | ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::Optimize | ( |  | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual long IdePlaneFrustum::Release | ( |  | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetDists | ( | const deDouble & | Min,
|  | const deDouble & | Max
| ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetInVec | ( | const deVec3d & | InVec | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetNumPlanes | ( | u32 | NumPlanes | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetOrtho | ( | deBoolean | Ortho | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetPlane | ( | u32 | index,
|  | const dePlane & | plane
| ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual void IdePlaneFrustum::SetPosVec | ( | const deVec3d & | PosVec | ) | `[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::TestAABBInside | ( | const deAABB & | BBox,
|  | const deVec3d & | WorldPos,
|  | deBoolean & | AllInside
| ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

virtual deBoolean IdePlaneFrustum::TestSphereInside | ( | const deBoundSphere & | Sphere,
|  | const deVec3d & | WorldPos,
|  | deBoolean & | AllInside
| ) | const`[pure virtual]`

| Implemented in dePlaneFrustum.

The documentation for this class was generated from the following file:

- deCamera.hpp